﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace P3SS.Networking
{
	/// <summary>
	/// Enumerates the different types of encryption a Protocol may have
	/// </summary>
	public enum EncryptionType
	{
		/// <summary>
		/// No encryption
		/// </summary>
		None,
		/// <summary>
		/// Implicit SSL (via a different port number)
		/// </summary>
		Implicit,
		/// <summary>
		/// Expliciti SSL\TLS (via STARTTLS and STLS command)
		/// </summary>
		Explicit,
	}
}
