﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;
using System.Timers;
using P3SS.Settings;
using P3SS.Engine;

namespace P3SS.Service
{
	public partial class P3SSService : ServiceBase
	{
		private ServiceEngine myEngine;

		public P3SSService()
		{
			InitializeComponent();
			myEngine = new ServiceEngine(myEventLog);
		}

		protected override void OnStart(string[] args)
		{
			myEngine.Start();
		}

		protected override void OnStop()
		{
			myEngine.Stop();
		}
	}
}
