﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace P3SS.Settings
{
	/// <summary>
	/// Contains a list of Unique IDs attached to a POP3 server
	/// </summary>
	public class UIDLContainerItem
	{
		/// <summary>
		/// POP3 Server the Unique IDs belong to
		/// </summary>
		public string POP3Server { get; set; }
		/// <summary>
		/// The actual Unique IDs
		/// </summary>
		public string[] UIDLs { get; set; }

		/// <summary>
		/// Default Constructor
		/// </summary>
		public UIDLContainerItem()
		{
			POP3Server = "";
			UIDLs = null;
		}
	}
}
